/*
 * Class EV_ITEM_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1246 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1246 [] = {0xFF01,1551,1245,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1246 [] = {0xFF01,1245,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1246 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1246 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1246 [] = {0xFF01,1245,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1246 [] = {0xFF01,1245,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1246 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1246 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1246 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1246 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1246 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1246 [] = {0xFF01,1245,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1246 [] = {0xFF01,0xFF01,1081,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1246 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1246 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1246 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1246 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1246 [] = {0xFF01,1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1246 [] = {0xFF01,1030,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1246 [] = {0xFF01,1201,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1246 [] = {0xFF01,1087,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1246 [] = {0xFF01,1249,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1246 [] = {0xFF01,996,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1246 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1246 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1246 [] = {0xFF01,645,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1246 [] = {0xFF01,645,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1246 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1246 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1246 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1246 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1246 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1246 [] = {1548,0xFF01,0,0xFF01,0xFFF9,4,840,0xFF01,1111,0xFF01,1567,0xFF01,133,0xFF01,999,0,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1246 [] = {0xFF01,1131,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1246 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1246 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1246 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1246 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1246 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1246 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1246 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1246 [] = {1609,0xFF01,1081,0xFFFF};
static const EIF_TYPE_INDEX egt_43_1246 [] = {1605,0xFF01,1081,0xFFFF};


static const struct desc_info desc_1246[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1246), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1246), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1246), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1246), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1246), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1246), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1246), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1246), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1246), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1246), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1246), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1246), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x09BB /*1245*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1246), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1246), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0873 /*1081*/), 28075, 40},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 67},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1246), 7561, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1246), 7562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7563, 64},
	{EIF_GENERIC(egt_16_1246), 7564, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1246), 7565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x090F /*1159*/), 7566, 16},
	{EIF_NON_GENERIC(0x090F /*1159*/), 7567, 20},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7568, 70},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7549, 72},
	{EIF_GENERIC(egt_18_1246), 7550, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1246), 7551, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1246), 7552, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7553, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1246), 7554, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1246), 7555, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0827 /*1043*/), 7557, 24},
	{EIF_GENERIC(egt_23_1246), 7558, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7559, 74},
	{EIF_NON_GENERIC(0x06DD /*878*/), 7560, 76},
	{EIF_GENERIC(egt_24_1246), 7173, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04FD /*638*/), 7174, 0},
	{EIF_GENERIC(egt_26_1246), 7175, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x050B /*645*/), 7176, 4},
	{EIF_GENERIC(egt_28_1246), 7177, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7178, 8},
	{EIF_GENERIC(egt_30_1246), 7179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04ED /*630*/), 7180, 12},
	{EIF_NON_GENERIC(0x01 /*0*/), 27384, 44},
	{EIF_GENERIC(egt_32_1246), 27385, 48},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27386, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1246), 27387, 52},
	{EIF_NON_GENERIC(0x0791 /*968*/), 27388, 56},
	{EIF_NON_GENERIC(0x0791 /*968*/), 27389, 60},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27391, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27392, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27393, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27394, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27395, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27400, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27401, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27403, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27404, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27362, 65},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 27367, 78},
	{EIF_NON_GENERIC(0x06DD /*878*/), 27368, 80},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27369, 66},
	{EIF_NON_GENERIC(0x069B /*845*/), 27370, 68},
	{EIF_NON_GENERIC(0x069B /*845*/), 27371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 27372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 27373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 27374, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27375, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0553 /*681*/), 27377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07CF /*999*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27380, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1246), 27381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1246), 27382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x083B /*1053*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27234, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1246), 8018, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0511 /*648*/), 8019, 28},
	{EIF_GENERIC(egt_38_1246), 8020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 8021, 32},
	{EIF_GENERIC(egt_40_1246), 8022, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_1246), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051F /*655*/), 8023, 36},
	{EIF_GENERIC(egt_42_1246), 28074, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_1246), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1246(void)
{
	IDSC(desc_1246, 0, 1245);
	IDSC(desc_1246 + 1, 1, 1245);
	IDSC(desc_1246 + 32, 1513, 1245);
	IDSC(desc_1246 + 59, 292, 1245);
	IDSC(desc_1246 + 79, 810, 1245);
	IDSC(desc_1246 + 91, 206, 1245);
	IDSC(desc_1246 + 145, 833, 1245);
	IDSC(desc_1246 + 149, 38, 1245);
	IDSC(desc_1246 + 158, 299, 1245);
	IDSC(desc_1246 + 161, 1623, 1245);
}


#ifdef __cplusplus
}
#endif
